Bug 1006461 - Review Request: munge-maven-plugin - Munge Maven Plugin
Review Request: munge-maven-plugin - Munge Maven Plugin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
Trivial
:
Depends On:
Blocks: 1006491
  Show dependency treegraph
 
Reported: 2013-09-10 12:18 EDT by Mikolaj Izdebski
Modified: 2013-09-11 06:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 06:44:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2013-09-10 12:18:26 EDT
Spec URL: http://mizdebsk.fedorapeople.org/review/munge-maven-plugin/munge-maven-plugin.spec
SRPM URL: http://mizdebsk.fedorapeople.org/review/munge-maven-plugin/munge-maven-plugin-1.0-1.fc21.src.rpm

Description:
Munge is a purposely-simple Java preprocessor. It only supports
conditional inclusion of source based on defined strings of the
form "if[tag]", "if_not[tag]", "else[tag]", and "end[tag]".
Unlike traditional preprocessors, comments, and formatting are all
preserved for the included lines. This is on purpose, as the output
of Munge will be distributed as human-readable source code.

To avoid creating a separate Java dialect, the conditional tags are
contained in Java comments. This allows one build to compile the
source files without pre-processing, to facilitate faster incremental
development. Other builds from the same source have their code contained
within that comment. The format of the tags is a little verbose, so
that the tags won't accidentally be used by other comment readers
such as javadoc. Munge tags must be in C-style comments;
C++-style comments may be used to comment code within a comment.

Like any preprocessor, developers must be careful not to abuse its
capabilities so that their code becomes unreadable. Please use it
as little as possible.

Fedora Account System Username: mizdebsk
Comment 1 Mikolaj Izdebski 2013-09-10 12:29:43 EDT
This is a trivial review.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5919513

rpmlint output:
munge-maven-plugin.src: W: spelling-error %description -l en_US preprocessor -> processor, predecessor, process's
munge-maven-plugin.src: W: spelling-error %description -l en_US preprocessors -> processors, predecessors, microprocessor
munge-maven-plugin.src: W: spelling-error %description -l en_US pre -> per, ore, pee
munge-maven-plugin.src: W: spelling-error %description -l en_US javadoc -> java doc, java-doc, avocado

All above warnings are false-positives.
Comment 2 gil cattaneo 2013-09-10 13:46:15 EDT
build fails
+ '[' 0 -ne 0 ']'
+ cd munge-maven-plugin-munge-maven-plugin-1.0
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ . /usr/share/java-utils/pom_editor.sh
+ pom_remove_plugin maven-release-plugin
+ set +x
Operation on POM has no effect.
seem an effect of new pom macros on rawhide?
Comment 4 gil cattaneo 2013-09-10 14:32:50 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "CDDL", "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/gil/1006461-munge-maven-
     plugin/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/java/munge-maven-plugin
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/java/munge-maven-
     plugin
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in munge-
     maven-plugin-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: munge-maven-plugin-1.0-1.fc21.noarch.rpm
          munge-maven-plugin-javadoc-1.0-1.fc21.noarch.rpm
          munge-maven-plugin-1.0-1.fc21.src.rpm
munge-maven-plugin.noarch: W: spelling-error %description -l en_US preprocessor -> processor, predecessor, process's
munge-maven-plugin.noarch: W: spelling-error %description -l en_US preprocessors -> processors, predecessors, microprocessor
munge-maven-plugin.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
munge-maven-plugin.noarch: W: spelling-error %description -l en_US javadoc -> java doc, java-doc, avocado
munge-maven-plugin.src: W: spelling-error %description -l en_US preprocessor -> processor, predecessor, process's
munge-maven-plugin.src: W: spelling-error %description -l en_US preprocessors -> processors, predecessors, microprocessor
munge-maven-plugin.src: W: spelling-error %description -l en_US pre -> per, ore, pee
munge-maven-plugin.src: W: spelling-error %description -l en_US javadoc -> java doc, java-doc, avocado
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint munge-maven-plugin munge-maven-plugin-javadoc
munge-maven-plugin.noarch: W: spelling-error %description -l en_US preprocessor -> processor, predecessor, process's
munge-maven-plugin.noarch: W: spelling-error %description -l en_US preprocessors -> processors, predecessors, microprocessor
munge-maven-plugin.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
munge-maven-plugin.noarch: W: spelling-error %description -l en_US javadoc -> java doc, java-doc, avocado
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
munge-maven-plugin (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(org.apache.maven:maven-core)
    mvn(org.apache.maven:maven-plugin-api)

munge-maven-plugin-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
munge-maven-plugin:
    munge-maven-plugin
    mvn(org.sonatype.plugins:munge-maven-plugin)

munge-maven-plugin-javadoc:
    munge-maven-plugin-javadoc



Source checksums
----------------
https://github.com/sonatype/munge-maven-plugin/archive/munge-maven-plugin-1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 0815ba11fec8f818f902fa4d43ea31ecb7b477927b76aee969cc8ce48c24d3c8
  CHECKSUM(SHA256) upstream package : 0815ba11fec8f818f902fa4d43ea31ecb7b477927b76aee969cc8ce48c24d3c8


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1006461 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386

approved
Comment 5 Mikolaj Izdebski 2013-09-10 14:35:31 EDT
Thank you for the review.

New Package SCM Request
=======================
Package Name: munge-maven-plugin
Short Description: Munge Maven Plugin
Owners: mizdebsk msrb sochotni
Branches: f19 f20
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2013-09-10 14:57:54 EDT
Git done (by process-git-requests).
Comment 7 Mikolaj Izdebski 2013-09-11 06:44:11 EDT
Built for rawhide. Closing.
http://koji.fedoraproject.org/koji/taskinfo?taskID=5922158

Note You need to log in before you can comment on or make changes to this bug.